Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/network/NetworkPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/network/NetworkPage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/network/NetworkPage.java	(revision 38564)
@@ -133,7 +133,7 @@
 		super();
 		id = this.getClass().getName();
 		// icon = new ImageIcon(this.getClass().getClassLoader().getResource("images/network.png"));
-		icon=PluginServices.getIconTheme().get("aplication-preferences-network");
+		icon=PluginServices.getIconTheme().get("edit-setup-network");
 		lblNetworkStatus = new JLabel();
 		lblNetworkStatus.setFont(lblNetworkStatus.getFont().deriveFont(Font.BOLD));
 		lblNetworkStatus.setText(PluginServices.getText(this, "optinos.network.click_to_test_connection"));
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/FolderingPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/FolderingPage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/FolderingPage.java	(revision 38564)
@@ -117,7 +117,7 @@
 	public FolderingPage() {
 		super();
 		setParentID(GeneralPage.id);
-		icon = PluginServices.getIconTheme().get("folder-icon");
+		icon = PluginServices.getIconTheme().get("edit-setup-foldering");
 
 		btnFileChooserAction = new ActionListener() {
 			public void actionPerformed(ActionEvent e) {
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/IconThemeExtensionsPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/IconThemeExtensionsPage.java	(revision 0)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/IconThemeExtensionsPage.java	(revision 38564)
@@ -0,0 +1,98 @@
+package org.gvsig.coreplugin.preferences.general;
+
+import java.awt.BorderLayout;
+import java.util.ArrayList;
+import java.util.Iterator;
+import java.util.List;
+
+import javax.swing.ComboBoxModel;
+import javax.swing.DefaultComboBoxModel;
+import javax.swing.ImageIcon;
+import javax.swing.JPanel;
+
+import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.preferences.AbstractPreferencePage;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.icontheme.IconTheme;
+import org.gvsig.tools.swing.icontheme.IconThemeManager;
+
+public class IconThemeExtensionsPage extends AbstractPreferencePage {
+
+	/**
+	 * 
+	 */
+	private static final long serialVersionUID = 4369071892027860769L;
+
+	private String id;
+	private boolean changed = false;
+
+	public IconThemeExtensionsPage() {
+		super();
+		initialize();
+		id = this.getClass().getName();
+		setParentID(GeneralPage.class.getName());
+	}
+
+	public String getID() {
+		return id;
+	}
+
+	public String getTitle() {
+		return PluginServices.getText(this, "_Icon_theme");
+	}
+
+	public JPanel getPanel() {
+		return this;
+	}
+
+	public void initializeValues() {
+	}
+
+	public void storeValues() {
+	}
+
+	public void initializeDefaults() {
+
+	}
+
+	public ImageIcon getIcon() {
+		return PluginServices.getIconTheme().get("edit-setup-icontheme");
+	}
+
+	public boolean isValueChanged() {
+		return changed;
+	}
+
+	public void setChangesApplied() {
+		changed = false;
+	}
+
+	private void initialize() {
+		IconThemeManager iconManager = ToolsSwingLocator.getIconThemeManager();
+		this.setLayout(new BorderLayout());
+		
+		IconThemePanelPage panel = new IconThemePanelPage();
+
+		// LLenar la lista con los temas disponibles
+		List<IconTheme> themes = new ArrayList<IconTheme>(); 
+		Iterator<IconTheme> themesIt = iconManager.iterator();
+		while( themesIt.hasNext() ) {
+			IconTheme theme = themesIt.next();
+			themes.add(theme);
+		}
+		ComboBoxModel model = new DefaultComboBoxModel(themes.toArray());
+		panel.combo_selection.setModel(model);
+		
+		// Traducir las etiquetas del panel
+		panel.label_title.setText(translate(panel.label_title.getText()));
+		panel.label_selection.setText(translate(panel.label_selection.getText()));
+		
+		this.add(panel, BorderLayout.CENTER);
+	}
+
+	private String translate(String s) {
+		return PluginServices.getText(this,s);
+	}
+	
+} 
+

Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/IconThemePanelPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/IconThemePanelPage.java	(revision 0)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/IconThemePanelPage.java	(revision 38564)
@@ -0,0 +1,160 @@
+package org.gvsig.coreplugin.preferences.general;
+
+//import com.jeta.open.i18n.I18NUtils;
+import java.awt.BorderLayout;
+import java.awt.ComponentOrientation;
+import java.awt.Container;
+import java.awt.Dimension;
+
+import javax.swing.Box;
+import javax.swing.ImageIcon;
+import javax.swing.JButton;
+import javax.swing.JComboBox;
+import javax.swing.JLabel;
+import javax.swing.JPanel;
+
+import com.jgoodies.forms.layout.CellConstraints;
+import com.jgoodies.forms.layout.FormLayout;
+
+public class IconThemePanelPage extends JPanel {
+	/**
+	 * 
+	 */
+	private static final long serialVersionUID = 732724276675072878L;
+
+	JLabel label_title = new JLabel();
+	JLabel label_selection = new JLabel();
+	JLabel label_export = new JLabel();
+	JComboBox combo_selection = new JComboBox();
+	JButton button_export = new JButton();
+
+	/**
+	 * Default constructor
+	 */
+	public IconThemePanelPage() {
+		initializePanel();
+	}
+
+	/**
+	 * Adds fill components to empty cells in the first row and first column of
+	 * the grid. This ensures that the grid spacing will be the same as shown in
+	 * the designer.
+	 * 
+	 * @param cols
+	 *            an array of column indices in the first row where fill
+	 *            components should be added.
+	 * @param rows
+	 *            an array of row indices in the first column where fill
+	 *            components should be added.
+	 */
+	void addFillComponents(Container panel, int[] cols, int[] rows) {
+		Dimension filler = new Dimension(10, 10);
+
+		boolean filled_cell_11 = false;
+		CellConstraints cc = new CellConstraints();
+		if (cols.length > 0 && rows.length > 0) {
+			if (cols[0] == 1 && rows[0] == 1) {
+				/** add a rigid area */
+				panel.add(Box.createRigidArea(filler), cc.xy(1, 1));
+				filled_cell_11 = true;
+			}
+		}
+
+		for (int index = 0; index < cols.length; index++) {
+			if (cols[index] == 1 && filled_cell_11) {
+				continue;
+			}
+			panel.add(Box.createRigidArea(filler), cc.xy(cols[index], 1));
+		}
+
+		for (int index = 0; index < rows.length; index++) {
+			if (rows[index] == 1 && filled_cell_11) {
+				continue;
+			}
+			panel.add(Box.createRigidArea(filler), cc.xy(1, rows[index]));
+		}
+
+	}
+
+	/**
+	 * Helper method to load an image file from the CLASSPATH
+	 * 
+	 * @param imageName
+	 *            the package and name of the file to load relative to the
+	 *            CLASSPATH
+	 * @return an ImageIcon instance with the specified image file
+	 * @throws IllegalArgumentException
+	 *             if the image resource cannot be loaded.
+	 */
+	public ImageIcon loadImage(String imageName) {
+		try {
+			ClassLoader classloader = getClass().getClassLoader();
+			java.net.URL url = classloader.getResource(imageName);
+			if (url != null) {
+				ImageIcon icon = new ImageIcon(url);
+				return icon;
+			}
+		} catch (Exception e) {
+			e.printStackTrace();
+		}
+		throw new IllegalArgumentException("Unable to load image: " + imageName);
+	}
+
+	/**
+	 * Method for recalculating the component orientation for right-to-left
+	 * Locales.
+	 * 
+	 * @param orientation
+	 *            the component orientation to be applied
+	 */
+	public void applyComponentOrientation(ComponentOrientation orientation) {
+		// Not yet implemented...
+		// I18NUtils.applyComponentOrientation(this, orientation);
+		super.applyComponentOrientation(orientation);
+	}
+
+	public JPanel createPanel() {
+		JPanel jpanel1 = new JPanel();
+		FormLayout formlayout1 = new FormLayout(
+				"FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE",
+				"CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE");
+		CellConstraints cc = new CellConstraints();
+		jpanel1.setLayout(formlayout1);
+
+		label_title.setName("label_title");
+		label_title.setText("_Icon_themes_availables");
+		jpanel1.add(label_title, cc.xywh(2, 2, 3, 1));
+
+		label_selection.setName("label_selection");
+		label_selection
+				.setText("_Select_an_icon_theme_as_default_for_use_in_the_application");
+		jpanel1.add(label_selection, cc.xywh(2, 3, 3, 1));
+
+		label_export.setName("label_export");
+		label_export
+				.setText("_You_can_export_the_default_icon_theme_to_use_as_base_for_create_a_custom_icon_theme");
+		jpanel1.add(label_export, cc.xywh(2, 6, 3, 1));
+
+		combo_selection.setName("combo_selection");
+		jpanel1.add(combo_selection, cc.xy(3, 4));
+
+		button_export.setActionCommand("_Export_default_icon_theme");
+		button_export.setName("button_export");
+		button_export.setText("_Export_default_icon_theme");
+		jpanel1.add(button_export, new CellConstraints(3, 8, 1, 1,
+				CellConstraints.LEFT, CellConstraints.DEFAULT));
+
+		addFillComponents(jpanel1, new int[] { 1, 2, 3, 4 }, new int[] { 1, 2,
+				3, 4, 5, 6, 7, 8, 9 });
+		return jpanel1;
+	}
+
+	/**
+	 * Initializer
+	 */
+	protected void initializePanel() {
+		setLayout(new BorderLayout());
+		add(createPanel(), BorderLayout.CENTER);
+	}
+
+}

Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/ExtensionPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/ExtensionPage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/ExtensionPage.java	(revision 38564)
@@ -61,7 +61,7 @@
 	 */
 	public ExtensionPage(Extension extension) {
 		super();
-		icon = PluginServices.getIconTheme().get("emblem-work");
+		icon = PluginServices.getIconTheme().get("edit-setup-extension");
 		this.extension=extension;
 		setParentID(ExtensionsPage.class.getName());
 		initialize();
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/GeneralPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/GeneralPage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/GeneralPage.java	(revision 38564)
@@ -84,7 +84,7 @@
 	}
 
 	private void initialize() {
-		icon = PluginServices.getIconTheme().get("emblem-work");
+		icon = PluginServices.getIconTheme().get("edit-setup-general");
 		// remember windows position check box
 		addComponent(rememberWindowPosition = new JCheckBox(PluginServices.getText(this, "options.general.remember_windows_pos")));
 		// remember windows sizes check box
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/DirExtensionsPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/DirExtensionsPage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/DirExtensionsPage.java	(revision 38564)
@@ -39,7 +39,7 @@
 	}
 
 	private void initialize() {
-		icon = PluginServices.getIconTheme().get("file-manager");
+		icon = PluginServices.getIconTheme().get("edit-setup-dirextension");
 	    this.setLayout(new BorderLayout());
 	    this.setSize(new java.awt.Dimension(386,177));
 	    this.add(getPN(), java.awt.BorderLayout.NORTH);
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/AppearancePage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/AppearancePage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/AppearancePage.java	(revision 38564)
@@ -120,7 +120,7 @@
 	public AppearancePage() {
         super();
         id = this.getClass().getName();
-        icon = PluginServices.getIconTheme().get("gnome-settings-theme");
+        icon = PluginServices.getIconTheme().get("edit-setup-appearance");
         setParentID(GeneralPage.id);
         // install the plastic look and feel before getting the laf combobox
     	UIManager.installLookAndFeel("Plastic XP", "com.jgoodies.looks.plastic.PlasticXPLookAndFeel");
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/ExtensionsPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/ExtensionsPage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/ExtensionsPage.java	(revision 38564)
@@ -20,7 +20,7 @@
 	 */
 	public ExtensionsPage() {
 		super();
-		icon = PluginServices.getIconTheme().get("aplication-preferences-extensions");
+		icon = PluginServices.getIconTheme().get("edit-setup-extensions");
 		setParentID(GeneralPage.class.getName());
 		initialize();
 	}
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/ScreenSettingsPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/ScreenSettingsPage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/ScreenSettingsPage.java	(revision 38564)
@@ -48,7 +48,7 @@
     public ScreenSettingsPage() {
         super();
         setParentID(GeneralPage.id);
-        icon=PluginServices.getIconTheme().get("aplication-preferences-screensetting");
+        icon=PluginServices.getIconTheme().get("edit-setup-screensetting");
         addComponent(PluginServices.getText(this, "resolution") + ":",
     			txtResolution = new JTextField("", 15));
 
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/LanguagePage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/LanguagePage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/LanguagePage.java	(revision 38564)
@@ -81,7 +81,7 @@
 	}
 
 	private void initialize() {
-		icon=PluginServices.getIconTheme().get("aplication-preferences-language");
+		icon=PluginServices.getIconTheme().get("edit-setup-language");
 		this.setLayout(new BorderLayout());
 		this.setSize(new java.awt.Dimension(386, 177));
 		this.add(getPN(), java.awt.BorderLayout.NORTH);
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/BrowserControlPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/BrowserControlPage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/general/BrowserControlPage.java	(revision 38564)
@@ -105,7 +105,7 @@
 	public BrowserControlPage() {
 		super();
 		id = this.getClass().getName();
-		icon = PluginServices.getIconTheme().get("browser-icon");
+		icon = PluginServices.getIconTheme().get("edit-setup-browsercontrol");
 		setParentID(GeneralPage.id);
 
 		JPanel aux;
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/mdiManager/NewSkin.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/mdiManager/NewSkin.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/mdiManager/NewSkin.java	(revision 38564)
@@ -147,85 +147,7 @@
     private Cursor lastCursor = null;
 	private ImageIcon image;
 	private String typeDesktop;
-
-
-	private List<UIActionTool>actionTools = new ArrayList<UIActionTool>();
 	
-	private class MyActionTool implements UIActionTool {
-		private String extensionName;
-		private String name;
-		private String text;
-		private String command;
-		private String iconName;
-		private String enableText;
-		private int position;
-		private String tip;
-		
-		MyActionTool(String extensionName, ActionTool action) {
-			this.extensionName = extensionName;
-			this.name = action.getName();
-			this.text = action.getText();
-			this.command = action.getActionCommand();
-			this.iconName = action.getIcon();
-			this.enableText = action.getEnableText();
-			this.position = action.getPosition();
-			this.tip = action.getTooltip();
-		}
-
-		public MyActionTool(String extensionName, Menu action) {
-			this.extensionName = extensionName;
-			this.name = null;
-			this.text = action.getText();
-			this.command = action.getActionCommand();
-			this.iconName = action.getIcon();
-			this.enableText = action.getEnableText();
-			this.position = action.getPosition();
-			this.tip = action.getTooltip();
-		}
-
-		public MyActionTool(String extensionName, SelectableTool action) {
-			this.extensionName = extensionName;
-			this.name = action.getName();
-			this.text = action.getText();
-			this.command = action.getActionCommand();
-			this.iconName = action.getIcon();
-			this.enableText = action.getEnableText();
-			this.position = action.getPosition();
-			this.tip = action.getTooltip();
-		}
-
-		public String getExtensionName() {
-			return this.extensionName;
-		}
-
-		public String getName() {
-			return this.name;
-		}
-
-		public String getText() {
-			return this.text;
-		}
-
-		public String getCommand() {
-			return this.command;
-		}
-
-		public String getIconName() {
-			return this.iconName;
-		}
-
-		public String getEnableText() {
-			return this.enableText;
-		}
-
-		public int getPosition() {
-			return this.position;
-		}
-		public String getTooptip() {
-			return this.tip;
-		}
-	}
-	
 	//Anyade barras de scroll
 	private void addScrolledDesktopPanel( JFrame parent, MyDesktopPane desktopPane) {
 		JPanel toppanel;
@@ -851,8 +773,11 @@
      * @see com.iver.andami.plugins.IExtension#execute(java.lang.String)
      */
     public void execute(String actionCommand) {
-        if (actionCommand.equals("cascada")) {
-        } else if (actionCommand.equals("mosaico")) {
+        if ("window-cascade".equalsIgnoreCase(actionCommand)) {
+        	logger.info("action window-cascade not implemented.");
+
+        } else if ("window-tile".equalsIgnoreCase(actionCommand)) {
+        	logger.info("action window-tile not implemented.");
         }
     }
 
@@ -1322,19 +1247,4 @@
         ToolsSwingLocator.getWindowManager().showWindow(panel, title, mode);
     }
     
-    public void registerAction(String extensionName, ActionTool action) {
-    	this.actionTools.add(new MyActionTool(extensionName, action));
-    }
-    
-    public void registerAction(String extensionName, Menu action) {
-    	this.actionTools.add(new MyActionTool(extensionName, action));
-    }
-    
-    public void registerAction(String extensionName, SelectableTool action) {
-    	this.actionTools.add(new MyActionTool(extensionName, action));
-    }
-    
-    public Iterator<UIActionTool> getActionTools() {
-    	return this.actionTools.iterator();
-    }
 }
Index: branches/v2_0_0_prep/extensions/extDwg/src/org/gvsig/dwg/DWGRegisterExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extDwg/src/org/gvsig/dwg/DWGRegisterExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extDwg/src/org/gvsig/dwg/DWGRegisterExtension.java	(revision 38564)
@@ -21,8 +21,11 @@
  */
 package org.gvsig.dwg;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.dwg.fmap.dal.store.dwg.DWGLibrary;
+import org.gvsig.dwg.fmap.dal.store.dwg.DWGStoreProvider;
+import org.gvsig.fmap.mapcontext.MapContextLocator;
 
 /**
  * Dummy DWG extension, as all the registration happens in the
@@ -37,12 +40,11 @@
 	}
 
 	public void initialize() {
-		// Nothing to do
+		IconThemeHelper.registerIcon("layer", "layer-icon-dwg", this);
 	}
 
 	public void postInitialize() {
-		super.postInitialize();
-		// Nothing to do
+		MapContextLocator.getMapContextManager().registerIconLayer(DWGStoreProvider.NAME, "layer-icon-dwg");
 	}
 
 	public boolean isEnabled() {
Index: branches/v2_0_0_prep/extensions/extWFS2/src/org/gvsig/fmap/dal/store/wfs/WFSStoreProvider.java
===================================================================
--- branches/v2_0_0_prep/extensions/extWFS2/src/org/gvsig/fmap/dal/store/wfs/WFSStoreProvider.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extWFS2/src/org/gvsig/fmap/dal/store/wfs/WFSStoreProvider.java	(revision 38564)
@@ -35,9 +35,6 @@
 
 import org.cresques.cts.ICoordTrans;
 import org.cresques.cts.IProjection;
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
-
 import org.gvsig.fmap.crs.CRSFactory;
 import org.gvsig.fmap.dal.DALLocator;
 import org.gvsig.fmap.dal.DataManager;
@@ -87,7 +84,6 @@
 import org.gvsig.remoteclient.wfs.request.WFSGetFeatureRequestInformation;
 import org.gvsig.remoteclient.wfs.request.WFSTransactionRequestInformation;
 import org.gvsig.tools.ToolsLocator;
-import org.gvsig.tools.dataTypes.DataTypesManager;
 import org.gvsig.tools.dynobject.DynStruct;
 import org.gvsig.tools.evaluator.EvaluatorFieldValue;
 import org.gvsig.tools.evaluator.EvaluatorFieldValueMatch;
@@ -96,6 +92,8 @@
 import org.gvsig.xmlschema.lib.api.XMLSchemaManager;
 import org.gvsig.xmlschema.lib.api.som.IXSGeometryTypeDefinition;
 import org.gvsig.xmlschema.lib.api.som.IXSTypeDefinition;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
Index: branches/v2_0_0_prep/extensions/extWFS2/src/org/gvsig/wfs/gui/panels/WFSAreaPanel.java
===================================================================
--- branches/v2_0_0_prep/extensions/extWFS2/src/org/gvsig/wfs/gui/panels/WFSAreaPanel.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extWFS2/src/org/gvsig/wfs/gui/panels/WFSAreaPanel.java	(revision 38564)
@@ -427,7 +427,7 @@
         if (jButtonUndo == null) {
             jButtonUndo = new JButton();
             jButtonUndo.setBounds(DEFAULT_UNDO_ICON_BUTTON_RECTANGLE);
-            jButtonUndo.setIcon(PluginServices.getIconTheme().get("edit-undo"));
+            jButtonUndo.setIcon(PluginServices.getIconTheme().get("wfs-properties-undo"));
             jButtonUndo.setToolTipText(PluginServices.getText(this, "previous_area"));
             jButtonUndo.addMouseListener(new MouseAdapter() {
                 public void mouseClicked(MouseEvent e) {
@@ -448,7 +448,7 @@
         if (jToggleButtonMove == null) {
             jToggleButtonMove = new JToggleButton();
             jToggleButtonMove.setBounds(DEFAULT_MOVE_ICON_TOGGLE_BUTTON_RECTANGLE);
-            jToggleButtonMove.setIcon(PluginServices.getIconTheme().get("WFS-move"));
+            jToggleButtonMove.setIcon(PluginServices.getIconTheme().get("wfs-properties-move"));
             jToggleButtonMove.setToolTipText(PluginServices.getText(this, "move") + ": " + PluginServices.getText(this, "area_move_explanation"));
             jToggleButtonMove.addItemListener(new ItemListener() {
                 public void itemStateChanged(ItemEvent e) {
@@ -471,7 +471,7 @@
         if (jToggleButtonScaling == null) {
             jToggleButtonScaling = new JToggleButton();
             jToggleButtonScaling.setBounds(DEFAULT_SCALING_ICON_TOGGLE_BUTTON_RECTANGLE);
-            jToggleButtonScaling.setIcon(PluginServices.getIconTheme().get("WFS-scaling"));
+            jToggleButtonScaling.setIcon(PluginServices.getIconTheme().get("wfs-properties-scaling"));
             jToggleButtonScaling.setToolTipText(PluginServices.getText(this, "scaling") + ": " + PluginServices.getText(this, "area_scaling_explanation"));
             jToggleButtonScaling.addItemListener(new ItemListener() {
                 public void itemStateChanged(ItemEvent e) {
@@ -493,7 +493,7 @@
         if (jButtonPan == null) {
             jButtonPan = new JButton();
             jButtonPan.setBounds(DEFAULT_PAN_ICON_BUTTON_RECTANGLE);
-            jButtonPan.setIcon(PluginServices.getIconTheme().get("view-pan"));
+            jButtonPan.setIcon(PluginServices.getIconTheme().get("wfs-properties-pan"));
             jButtonPan.setToolTipText(PluginServices.getText(this, "Desplazamiento"));
             jButtonPan.addMouseListener(new MouseAdapter() {
                 public void mouseClicked(MouseEvent e) {
@@ -513,8 +513,8 @@
         if (jComboBoxZoomInAndOut == null) {
             jComboBoxZoomInAndOut = new JComboBoxWithImageIconItems();
             jComboBoxZoomInAndOut.setBounds(DEFAULT_ZOOMINANDOUT_JCOMBOBOX_RECTANGLE);
-            jComboBoxZoomInAndOut.addImageIconItem(new ImageIconItemInfo("images/ZoomIn.png",PluginServices.getIconTheme().get("view-zoom-in"),PluginServices.getText(this, "Zoom_Mas"), ZOOM_IN_TOOL));
-            jComboBoxZoomInAndOut.addImageIconItem(new ImageIconItemInfo("images/ZoomOut.png",PluginServices.getIconTheme().get("view-zoom-out"), PluginServices.getText(this, "Zoom_Menos"), ZOOM_OUT_TOOL));
+            jComboBoxZoomInAndOut.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-zoom-in"),PluginServices.getText(this, "Zoom_Mas"), ZOOM_IN_TOOL));
+            jComboBoxZoomInAndOut.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-zoom-out"), PluginServices.getText(this, "Zoom_Menos"), ZOOM_OUT_TOOL));
             jComboBoxZoomInAndOut.addActionListener(new ActionListener() {
                 public void actionPerformed(ActionEvent e) {
                     JComboBoxWithImageIconItems cb = (JComboBoxWithImageIconItems)e.getSource();
@@ -536,7 +536,7 @@
         if (jButtonZoomPrevious == null) {
             jButtonZoomPrevious = new JButton();
             jButtonZoomPrevious.setBounds(DEFAULT_ZOOMPREVIOUS_ICON_BUTTON_RECTANGLE);
-            jButtonZoomPrevious.setIcon(PluginServices.getIconTheme().get("view-zoom-back"));
+            jButtonZoomPrevious.setIcon(PluginServices.getIconTheme().get("wfs-properties-zoom-back"));
             jButtonZoomPrevious.setToolTipText(PluginServices.getText(this, "Zoom_Previo"));
             jButtonZoomPrevious.addMouseListener(new MouseAdapter() {
                 public void mouseClicked(MouseEvent e) {
@@ -556,7 +556,7 @@
         if (jButtonZoomComplete == null) {
             jButtonZoomComplete = new JButton();
             jButtonZoomComplete.setBounds(DEFAULT_ZOOMCOMPLETE_ICON_BUTTON_RECTANGLE);
-            jButtonZoomComplete.setIcon(PluginServices.getIconTheme().get("view-zoom-map-contents"));
+            jButtonZoomComplete.setIcon(PluginServices.getIconTheme().get("wfs-properties-zoom-all"));
             jButtonZoomComplete.setToolTipText(PluginServices.getText(this, "Zoom_Completo"));
             jButtonZoomComplete.addMouseListener(new MouseAdapter() {
                 public void mouseClicked(MouseEvent e) {
@@ -578,8 +578,8 @@
         if (jComboBoxZoomInAndOutViewCentered == null) {
             jComboBoxZoomInAndOutViewCentered = new JComboBoxWithImageIconItems();
             jComboBoxZoomInAndOutViewCentered.setBounds(DEFAULT_ZOOMINANDOUTVIEWCENTERED_JCOMBOBOX_RECTANGLE);
-            jComboBoxZoomInAndOutViewCentered.addImageIconItem(new ImageIconItemInfo("images/zoommas.png",PluginServices.getIconTheme().get("view-zoom-mas"), PluginServices.getText(this, "Zoom_Acercar"), ZOOM_IN_VIEW_CENTERED_TOOL));
-            jComboBoxZoomInAndOutViewCentered.addImageIconItem(new ImageIconItemInfo("images/ZoomOut.png",PluginServices.getIconTheme().get("view-zoom-menos"), PluginServices.getText(this, "Zoom_Alejar"), ZOOM_OUT_VIEW_CENTERED_TOOL));
+            jComboBoxZoomInAndOutViewCentered.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-zoom-plus"), PluginServices.getText(this, "Zoom_Acercar"), ZOOM_IN_VIEW_CENTERED_TOOL));
+            jComboBoxZoomInAndOutViewCentered.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-zoom-minus"), PluginServices.getText(this, "Zoom_Alejar"), ZOOM_OUT_VIEW_CENTERED_TOOL));
             jComboBoxZoomInAndOutViewCentered.addActionListener(new ActionListener() {
                 public void actionPerformed(ActionEvent e) {
                     JComboBoxWithImageIconItems cb = (JComboBoxWithImageIconItems)e.getSource();
@@ -606,8 +606,8 @@
         if (jComboBoxOtherTools == null) {
             jComboBoxOtherTools = new JComboBoxWithImageIconItems();
             jComboBoxOtherTools.setBounds(DEFAULT_OTHER_TOOLS_JCOMBOBOX_RECTANGLE);
-            jComboBoxOtherTools.addImageIconItem(new ImageIconItemInfo("images/Distancia.png",PluginServices.getIconTheme().get("view-query-distance"),PluginServices.getText(this, "medir_distancias"), MEASURE_DISTANCES_TOOL));
-            jComboBoxOtherTools.addImageIconItem(new ImageIconItemInfo("images/Poligono16.png",PluginServices.getIconTheme().get("view-query-area"), PluginServices.getText(this, "medir_area"), MEASURE_AREA_TOOL));
+            jComboBoxOtherTools.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-query-distance"),PluginServices.getText(this, "medir_distancias"), MEASURE_DISTANCES_TOOL));
+            jComboBoxOtherTools.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-query-area"), PluginServices.getText(this, "medir_area"), MEASURE_AREA_TOOL));
             jComboBoxOtherTools.addActionListener(new ActionListener() {
                 public void actionPerformed(ActionEvent e) {
                     JComboBoxWithImageIconItems cb = (JComboBoxWithImageIconItems)e.getSource();
@@ -1563,7 +1563,7 @@
                 jButtonPreviewArea.setToolTipText(PluginServices.getText(this, "to_validate_coodinates"));
                 jButtonPreviewArea.setVerticalTextPosition(AbstractButton.CENTER);
                 jButtonPreviewArea.setHorizontalTextPosition(AbstractButton.CENTER);
-                jButtonPreviewArea.setIcon(PluginServices.getIconTheme().get("validate-area"));
+                jButtonPreviewArea.setIcon(PluginServices.getIconTheme().get("wfs-properties-validate-area"));
                 jButtonPreviewArea.addMouseListener(new MouseAdapter() {
                     public void mouseClicked(MouseEvent e) {
                         validVertexes();
